XIL-SFX-LIB(1)

NAME
xil-sfx-lib

SYNOPSIS
xil-sfx-lib [-h] [--api | --local] [--sfx-dir DIR] [--search TEXT] [--all] [--verbose] [--json] [--export-kit [DIR]]

DESCRIPTION
Discover personally generated Sound Effects from the ElevenLabs account or local SFX/ directory

OPTIONS

--api
    Query ElevenLabs /v1/sound-generation/history (requires sound_generation permission)

--local
    Scan local SFX/ directory only (no API key needed)

--sfx-dir DIR
    Local SFX directory to scan (default: SFX/)

--search TEXT
    Case-insensitive substring filter on the prompt/filename

--all
    (API mode) Paginate through the full account history; default: most recent 100

--verbose, -v
    Print all fields for each record

--json
    Output results as a JSON array

--export-kit [DIR]
    Export SFX inventory JSON + scriptwriter reference doc to DIR (default: current directory)

SEE ALSO
xil(1), xil-scan(1), xil-parse(1), xil-cues(1), xil-produce(1), xil-assemble(1), xil-studio-onboard(1), xil-daw(1), xil-migrate(1), xil-cleanup(1), xil-import(1), xil-regen(1), xil-master(1), xil-voices(1), xil-csv-join(1), xil-sfx(1), xil-sample(1), xil-sfx-lib(1), xil-splice(1), xil-mp3-hash(1), xil-migrate-workspace(1), xil-init(1)

AUTHOR
John Brissette <xilcmd@gmail.com>